package com.qunzhixinxi.hnqz.admin.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 微信自动回复相关类型
 *
 * @author lixuesong
 * @date 2021年05月06日 15:05
 */
@Getter
@AllArgsConstructor
public enum SysWxReplyMessageEnum {

	/**
	 * 消息类型
	 */
	MESSAGE_TYPE_TEXT(0, "文字"),
	MESSAGE_TYPE_IMAGE(1, "图片"),
	MESSAGE_TYPE_VIDEO(2, "视频"),
	MESSAGE_TYPE_MULTI(3, "图文消息"),
	/**
	 * 消息的素材类型
	 */
	MESSAGE_MEDIA_TYPE_TEXT(0, "文字"),
	MESSAGE_MEDIA_TYPE_IMAGE(1, "图片"),
	MESSAGE_MEDIA_TYPE_VIDEO(2, "视频"),
	/**
	 * 微信的素材类型
	 */
	WX_MEDIA_TYPE_TEXT(0, "text"),
	WX_MEDIA_TYPE_IMAGE(1, "image"),
	WX_MEDIA_TYPE_VIDEO(2, "video"),
	WX_MEDIA_TYPE_NEWS(3, "news"),
	WX_MEDIA_TYPE_TRANSFER(4, "transfer_customer_service");

	/**
	 * 类型
	 */
	private Integer type;

	/**
	 * 描述
	 */
	private String description;

}
